package de.platon42.intellij.plugins.cajon.inspections

import com.intellij.testFramework.RunsInEdt
import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/BinaryExpression")
internal class AssertThatBinaryExpressionInspectionTest : AbstractCajonTest() {

    @Test
    @RunsInEdt
    internal fun assertThat_of_binary_expression_can_be_moved_out() {
        fixture.enableInspections(AssertThatBinaryExpressionInspection::class.java)
        fixture.configureByFile("BinaryExpressionBefore.java")
        executeQuickFixes(Regex.fromLiteral("Split binary expression out of assertThat()"), 161)
        fixture.checkResultByFile("BinaryExpressionAfter.java")
    }
}
