package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/BooleanCondition")
internal class AssertThatBooleanConditionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_isEqualTo_true_or_false_can_use_isTrue_or_isFalse() {
        fixture.enableInspections(AssertThatBooleanConditionInspection::class.java)
        fixture.configureByFile("BooleanConditionBefore.java")
        executeQuickFixes(Regex.fromLiteral("Replace isEqualTo() with isTrue()"), 6)
        executeQuickFixes(Regex.fromLiteral("Replace isEqualTo() with isFalse()"), 5)
        executeQuickFixes(Regex.fromLiteral("Replace isNotEqualTo() with isTrue()"), 4)
        executeQuickFixes(Regex.fromLiteral("Replace isNotEqualTo() with isFalse()"), 4)
        fixture.checkResultByFile("BooleanConditionAfter.java")
    }
}
