package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/EnumerableIsEmpty")
internal class AssertThatEnumerableIsEmptyInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_hasSize_zero_and_similar_can_use_isEmpty() {
        fixture.enableInspections(AssertThatEnumerableIsEmptyInspection::class.java)
        fixture.configureByFile("EnumerableIsEmptyBefore.java")
        executeQuickFixes(Regex.fromLiteral("Replace hasSize() with isEmpty()"), 5)
        executeQuickFixes(Regex.fromLiteral("Replace hasSizeLessThan() with isEmpty()"), 5)
        executeQuickFixes(Regex.fromLiteral("Replace hasSizeLessThanOrEqualTo() with isEmpty()"), 5)
        executeQuickFixes(Regex.fromLiteral("Replace hasSizeGreaterThan() with isNotEmpty()"), 6)
        executeQuickFixes(Regex.fromLiteral("Replace hasSizeGreaterThanOrEqualTo() with isNotEmpty()"), 6)
        fixture.checkResultByFile("EnumerableIsEmptyAfter.java")
    }
}
