package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/InstanceOf")
internal class AssertThatInstanceOfInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_instanceof_can_be_moved_out() {
        fixture.enableInspections(AssertThatInstanceOfInspection::class.java)
        fixture.configureByFile("InstanceOfBefore.java")
        executeQuickFixes(Regex.fromLiteral("Remove instanceof in actual expression and use assertThat().isInstanceOf() instead"), 6)
        executeQuickFixes(Regex.fromLiteral("Remove instanceof in actual expression and use assertThat().isNotInstanceOf() instead"), 6)
        fixture.checkResultByFile("InstanceOfAfter.java")
    }
}
