package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/InvertedBooleanCondition")
internal class AssertThatInvertedBooleanConditionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_inverted_boolean_condition_can_be_inverted() {
        fixture.enableInspections(AssertThatInvertedBooleanConditionInspection::class.java)
        fixture.configureByFile("InvertedBooleanConditionBefore.java")
        executeQuickFixes(Regex.fromLiteral("Invert condition in assertThat()"), 25)
        executeQuickFixes(Regex.fromLiteral("Invert condition in isEqualTo() and use isNotEqualTo() instead"), 4)
        executeQuickFixes(Regex.fromLiteral("Invert condition in isNotEqualTo() and use isEqualTo() instead"), 2)
        fixture.checkResultByFile("InvertedBooleanConditionAfter.java")
    }
}
