package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/IsZeroOne")
internal class AssertThatIsZeroOneInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_isEqualTo_zero_or_one_can_use_isZero_or_isOne_plus_isNotZero() {
        fixture.enableInspections(AssertThatIsZeroOneInspection::class.java)
        fixture.configureByFile("IsZeroOneBefore.java")
        executeQuickFixes(Regex.fromLiteral("Replace isEqualTo() with isZero()"), 10)
        executeQuickFixes(Regex.fromLiteral("Replace isEqualTo() with isOne()"), 10)
        executeQuickFixes(Regex.fromLiteral("Replace isNotEqualTo() with isNotZero()"), 10)
        fixture.checkResultByFile("IsZeroOneAfter.java")
    }
}
