package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/ObjectExpression")
internal class AssertThatObjectExpressionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_certain_Object_methods() {
        fixture.enableInspections(AssertThatObjectExpressionInspection::class.java)
        fixture.configureByFile("ObjectExpressionBefore.java")
        executeQuickFixes(Regex.fromLiteral("Remove equals() of actual expression and use assertThat().isEqualTo() instead"), 4)
        executeQuickFixes(Regex.fromLiteral("Remove equals() of actual expression and use assertThat().isNotEqualTo() instead"), 3)
        executeQuickFixes(Regex.fromLiteral("Replace calls to hashCode() with hasSameHashCodeAs()"), 1)
        executeQuickFixes(Regex.fromLiteral("Remove toString() of actual expression and use assertThat().hasToString() instead"), 1)
        fixture.checkResultByFile("ObjectExpressionAfter.java")
    }
}
