package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/ObjectIsNullOrNotNull")
internal class AssertThatObjectIsNullOrNotNullInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_with_isEqualTo_null_can_use_isNull() {
        fixture.enableInspections(AssertThatObjectIsNullOrNotNullInspection::class.java)
        fixture.configureByFile("ObjectIsNullOrNotNullBefore.java")
        executeQuickFixes(Regex.fromLiteral("Replace isEqualTo() with isNull()"), 4)
        executeQuickFixes(Regex.fromLiteral("Replace isNotEqualTo() with isNotNull()"), 5)
        fixture.checkResultByFile("ObjectIsNullOrNotNullAfter.java")
    }
}
