package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.AddMavenDependencyToModule
import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@AddMavenDependencyToModule("junit:junit:4.13.2")
@AddMavenDependencyToModule("org.junit.jupiter:junit-jupiter-api:5.10.2")
@TestDataSubPath("inspections/AssumeThat")
internal class AssumeThatInsteadOfReturnInspectionTest : AbstractCajonTest() {

    @Test
    internal fun conditional_returns_can_be_replaced_by_assumeThat() {
        fixture.enableInspections(AssumeThatInsteadOfReturnInspection::class.java)
        fixture.configureByFile("AssumeThatBefore.java")
        executeQuickFixes(Regex.fromLiteral("Replace if statement by assumeTrue()"), 5)
        fixture.checkResultByFile("AssumeThatAfter.java")
    }
}
