package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/BogusAssertion")
internal class BogusAssertionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun reports_bogus_assertions() {
        fixture.enableInspections(BogusAssertionInspection::class.java)
        fixture.configureByFile("BogusAssertionBefore.java")
        assertHighlightings(14 * 9 + 10 + 12 + 8, "Actual expression in assertThat() is the same as expected")
        assertHighlightings(3, "Same actual and expected expression, but may be testing equals() or hashCode()")
    }
}
