package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.AddMavenDependencyToModule
import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@AddMavenDependencyToModule("org.assertj:assertj-guava:3.25.3")
@TestDataSubPath("inspections/ImplicitAssertion")
internal class ImplicitAssertionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun implicit_assertions_can_be_removed() {
        fixture.enableInspections(ImplicitAssertionInspection::class.java)
        fixture.configureByFile("ImplicitAssertionBefore.java")
        executeQuickFixesNoFamilyNameCheck(Regex("Delete implicit isNotNull\\(\\) covered by .*"), 102)
        executeQuickFixesNoFamilyNameCheck(Regex("Delete implicit isNotEmpty\\(\\) covered by .*"), 17)
        executeQuickFixesNoFamilyNameCheck(Regex("Delete implicit isPresent\\(\\) covered by .*"), 8)
        fixture.checkResultByFile("ImplicitAssertionAfter.java")
    }
}
