package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.AddMavenDependencyToModule
import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@AddMavenDependencyToModule("junit:junit:4.13.2")
@TestDataSubPath("inspections/JUnitAssertToAssertJ")
internal class JUnitAssertToAssertJInspectionTest : AbstractCajonTest() {

    @Test
    internal fun junit_Assertions_can_be_converted_into_AssertJ() {
        fixture.enableInspections(JUnitAssertToAssertJInspection::class.java)
        fixture.configureByFile("JUnitAssertToAssertJInspectionBefore.java")
        executeQuickFixesNoFamilyNameCheck(Regex("Convert assert.*\\(\\) to assertThat\\(\\).*"), 48)
        executeQuickFixesNoFamilyNameCheck(Regex("Convert assume.*\\(\\) to assumeThat\\(\\).*"), 7)
        fixture.checkResultByFile("JUnitAssertToAssertJInspectionAfter.java")
    }
}
