package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/JoinStatements")
internal class JoinAssertThatStatementsInspectionTest : AbstractCajonTest() {

    @Test
    internal fun assertThat_statements_can_be_joined_together() {
        fixture.enableInspections(JoinAssertThatStatementsInspection::class.java)
        fixture.configureByFile("JoinStatementsBefore.java")
        executeQuickFixes(Regex.fromLiteral("Join assertThat() statements"), 5)
        fixture.checkResultByFile("JoinStatementsAfter.java")
    }
}
