package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/JoinVarArgsContains")
internal class JoinVarArgsContainsInspectionTest : AbstractCajonTest() {

    @Test
    internal fun join_contains_and_doesNotContain_together_where_possible() {
        fixture.enableInspections(JoinVarArgsContainsInspection::class.java)
        fixture.configureByFile("JoinVarArgsContainsBefore.java")
        executeQuickFixes(Regex.fromLiteral("Join multiple arguments to variadic argument method calls"), 3)
        fixture.checkResultByFile("JoinVarArgsContainsAfter.java")
    }
}
