package de.platon42.intellij.plugins.cajon.inspections

import de.platon42.intellij.jupiter.TestDataSubPath
import de.platon42.intellij.plugins.cajon.AbstractCajonTest
import org.junit.jupiter.api.Test

@TestDataSubPath("inspections/TwistedAssertion")
internal class TwistedAssertionInspectionTest : AbstractCajonTest() {

    @Test
    internal fun hint_twisted_actual_and_expected_and_provide_quickfix_where_possible() {
        fixture.enableInspections(TwistedAssertionInspection::class.java)
        fixture.configureByFile("TwistedAssertionBefore.java")
        assertHighlightings(9, "Actual expression in assertThat() is a constant")
        assertHighlightings(10, "Twisted actual and expected expressions")

        executeQuickFixes(Regex.fromLiteral("Swap actual and expected expressions in assertion"), 6)
        executeQuickFixesNoFamilyNameCheck(Regex("Replace .* by .* and swap actual and expected expressions"), 4)
        fixture.checkResultByFile("TwistedAssertionAfter.java")
    }
}
